{ mkDerivation, base, binary, bytestring, containers, criterion
, deepseq, fetchgit, filepath, lib, mtl, primitive, transformers
, vector, zlib
}:
mkDerivation {
  pname = "JuicyPixels";
  version = "3.3.8";
  src = fetchgit {
    url = "https://github.com/Twinside/Juicy.Pixels";
    sha256 = "085p5ci5py4kwxjs392hpcm44f9qkw5xjywvqp8cnd8sp3f35dz2";
    rev = "7c8eebb91bebd1850045d36de17b8492936fae2a";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base binary bytestring containers deepseq mtl primitive
    transformers vector zlib
  ];
  executableHaskellDepends = [ base bytestring ];
  testHaskellDepends = [
    base binary bytestring criterion deepseq filepath mtl primitive
    transformers vector zlib
  ];
  benchmarkHaskellDepends = [
    base binary bytestring criterion deepseq filepath mtl primitive
    transformers vector zlib
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/Twinside/Juicy.Pixels";
  description = "Picture loading/serialization (in png, jpeg, bitmap, gif, tga, tiff and radiance)";
  license = lib.licenses.bsd3;
  broken = false;
}